centos自带git升级

安装需求:

># yum install curl-devel expat-devel gettext-devel openssl-devel zlib-devel asciidoc># yum install  gcc perl-ExtUtils-MakeMaker   
   error: ```/utf8.c:463: undefined reference to `libiconv'```
># wget http://ftp.gnu.org/pub/gnu/libiconv/libiconv-1.14.tar.gz
># tar zxvf libiconv-1.14.tar.gz 
># cd libiconv-1.14
># ./configure --prefix=/usr/local/libiconv
># make && make install

卸载Centos自带的git1.7.1:

通过git –version查看系统带的版本,Cento6.5应该自带的是git版本是1.7.1

># yum remove git

下载git2.2.1并将git添加到环境变量中

># wget  
># tar zxvf v2.2.1.tar.gz
># cd git-2.2.1
># make configure
># ./configure --prefix=/usr/local/git --with-iconv=/usr/local/libiconv
># make all doc># make install install-doc install-html
># echo "export PATH=$PATH:/usr/local/git/bin" >> /etc/bashrc
># source /etc/bashrc
># make install

查看版本号

># git --version>git version 2.2.1


文章来源:http://www.tuicool.com/articles/Y3eqIf

我来说两句!

发表评论:

◎欢迎参与讨论,请在这儿发表您的观点。

«   2020年4月   »
12345
6789101112
13141516171819
20212223242526
27282930
about关于我

root.wang&老王SEO

邮箱:8#ie3.cn

微博:weibo.com/mldh

lofter

PHP攻城师

SEO攻城师

python爱好者

数据挖掘爱好者

智能硬件爱好者

摄影爱好者

网站分类
搜索
文章归档
友情链接